Loading...
Searching...
No Matches
sound-theme-loader.h File Reference

Purple Sound Theme Loader Class API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "theme-loader.h"`

Go to the source code of this file.

## Data Structures

struct | _PurpleSoundThemeLoader
struct | _PurpleSoundThemeLoaderClass

## Macros

#define | PURPLE_TYPE_SOUND_THEME_LOADER (purple_sound_theme_loader_get_type())
#define | PURPLE_SOUND_THEME_LOADER(obj)
#define | PURPLE_SOUND_THEME_LOADER_CLASS(klass)
#define | PURPLE_IS_SOUND_THEME_LOADER(obj)
#define | PURPLE_IS_SOUND_THEME_LOADER_CLASS(klass)
#define | PURPLE_SOUND_THEME_LOADER_GET_CLASS(obj)

## Typedefs

typedef struct _PurpleSoundThemeLoader | PurpleSoundThemeLoader
| A purple sound theme loader.
typedef struct _PurpleSoundThemeLoaderClass | PurpleSoundThemeLoaderClass

## Functions

Purple Theme-Loader API
G_BEGIN_DECLS GType | purple_sound_theme_loader_get_type (void)
| GObject foo.

## Detailed Description

Purple Sound Theme Loader Class API.

Definition in file sound-theme-loader.h.

## Macro Definition Documentation

## PURPLE_IS_SOUND_THEME_LOADER

#define PURPLE_IS_SOUND_THEME_LOADER | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_TYPE_SOUND_THEME_LOADER))

Definition at line 45 of file sound-theme-loader.h.

## PURPLE_IS_SOUND_THEME_LOADER_CLASS

#define PURPLE_IS_SOUND_THEME_LOADER_CLASS | ( |  | klass | ) |

Value:
(G_TYPE_CHECK_CLASS_TYPE((klass), PURPLE_TYPE_SOUND_THEME_LOADER))

Definition at line 46 of file sound-theme-loader.h.

## PURPLE_SOUND_THEME_LOADER

#define PURPLE_SOUND_THEME_LOADER | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_SOUND_THEME_LOADER, PurpleSoundThemeLoader))
PurpleSoundThemeLoader
struct _PurpleSoundThemeLoader PurpleSoundThemeLoader
A purple sound theme loader.
Definition sound-theme-loader.h:39

Definition at line 43 of file sound-theme-loader.h.

## PURPLE_SOUND_THEME_LOADER_CLASS

#define PURPLE_SOUND_THEME_LOADER_CLASS | ( |  | klass | ) |

Value:
(G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_SOUND_THEME_LOADER, PurpleSoundThemeLoaderClass))

Definition at line 44 of file sound-theme-loader.h.

## PURPLE_SOUND_THEME_LOADER_GET_CLASS

#define PURPLE_SOUND_THEME_LOADER_GET_CLASS | ( |  | obj | ) |

Value:
(G_TYPE_INSTANCE_GET_CLASS((obj), PURPLE_TYPE_SOUND_THEME_LOADER, PurpleSoundThemeLoaderClass))

Definition at line 47 of file sound-theme-loader.h.

## PURPLE_TYPE_SOUND_THEME_LOADER

#define PURPLE_TYPE_SOUND_THEME_LOADER (purple_sound_theme_loader_get_type())

Definition at line 42 of file sound-theme-loader.h.

## Typedef Documentation

## PurpleSoundThemeLoader

typedef struct _PurpleSoundThemeLoader PurpleSoundThemeLoader

A purple sound theme loader.

extends PurpleThemeLoader (theme-loader.h) This is a class designed to build sound themes

PurpleSoundThemeLoader is a GObject.

Definition at line 39 of file sound-theme-loader.h.

## PurpleSoundThemeLoaderClass

typedef struct _PurpleSoundThemeLoaderClass PurpleSoundThemeLoaderClass

Definition at line 40 of file sound-theme-loader.h.